%define anolis_release 1

Name:           libconfuse
Version:        3.3
Release:        %{anolis_release}%{dist}

Summary:        A configuration file parser library

License:        ISC
URL:            https://github.com/martinh/libconfuse
Source0:	    https://github.com/martinh/libconfuse/releases/download/v%{version}/confuse-%{version}.tar.gz

Patch0:         0001-d73777c2c3566fb2647727bb56d9a2295b81669b.patch

BuildRequires:  gcc
BuildRequires:  check-devel, pkgconfig
BuildRequires:  perl-interpreter
BuildRequires:  make

%description
libConfuse is a configuration file parser library, licensed under
the terms of the ISC license, and written in C. It supports
sections and (lists of) values (strings, integers, floats,
booleans or other sections), as well as some other features (such
as single/double-quoted strings, environment variable expansion,
functions and nested include statements). It makes it very
easy to add configuration file capability to a program using
a simple API.

The goal of libConfuse is not to be the configuration file parser
library with a gazillion of features. Instead, it aims to be
easy to use and quick to integrate with your code.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Development files for %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n confuse-%{version}
perl -pi.orig -e 's|confuse.h|../src/confuse.h|g' tests/check_confuse.c

%patch0 -p0

%build
%configure --enable-shared --disable-static
make %{?_smp_mflags} AM_CFLAGS="-Wall -Wextra"

%check
make check

%install
make install DESTDIR=$RPM_BUILD_ROOT
# Install man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3/
cp -p doc/man/man3/*.3 $RPM_BUILD_ROOT%{_mandir}/man3/
# Extract the example sources
mkdir -p ex2/examples
cp -p examples/{ftpconf.c,ftp.conf,simple.c,simple.conf,reread.c,reread.conf} \
    ex2/examples/

#Remove spurious docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/confuse

%generate_compatibility_deps

%find_lang confuse

%files -f confuse.lang
%license LICENSE
%dir %{abidir}
%{_libdir}/libconfuse.so.2*
%{abidir}/libconfuse.dump
%{_mandir}/man?/*.*

%files devel
%{_includedir}/confuse.h
%{_libdir}/libconfuse.so
%{_libdir}/pkgconfig/libconfuse.pc

%files doc
%doc AUTHORS README.md
%doc doc/html
%doc ex2/examples

%changelog
* Sat Mar 25 2023 yuanhui <yuanhui@linux.alibaba.com> - 3.3-1
- Init package from upstream
